Index: trunk/MagicSoft/Mars/Changelog
===================================================================
--- trunk/MagicSoft/Mars/Changelog	(revision 7334)
+++ trunk/MagicSoft/Mars/Changelog	(revision 7335)
@@ -43,4 +43,8 @@
    * datacenter/macros/fillganymed.C:
      - adapted to the new table Ganymed in the DB
+
+   * datacenter/scripts/fillganymed:
+     - added (script to fill the information of the ganymed*.root 
+       files into the db)
 
 
Index: trunk/MagicSoft/Mars/datacenter/scripts/fillganymed
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/fillganymed	(revision 7335)
+++ trunk/MagicSoft/Mars/datacenter/scripts/fillganymed	(revision 7335)
@@ -0,0 +1,122 @@
+#!/bin/sh
+#
+# ========================================================================
+#
+# *
+# * This file is part of MARS, the MAGIC Analysis and Reconstruction
+# * Software. It is distributed to you in the hope that it can be a useful
+# * and timesaving tool in analysing Data of imaging Cerenkov telescopes.
+# * It is distributed WITHOUT ANY WARRANTY.
+# *
+# * Permission to use, copy, modify and distribute this software and its
+# * documentation for any purpose is hereby granted without fee,
+# * provided that the above copyright notice appear in all copies and
+# * that both that copyright notice and this permission notice appear
+# * in supporting documentation. It is provided "as is" without express
+# * or implied warranty.
+# *
+#
+#
+#   Author(s): Daniela Dorner  08/2004 <mailto:dorner@astro.uni-wuerzburg.de>
+#
+#   Copyright: MAGIC Software Development, 2000-2004
+#
+#
+# ========================================================================
+#
+#
+
+user=`whoami`
+source /home/$user/Mars/datacenter/scripts/sourcefile
+
+set -C
+
+table=DataSetProcessStatus
+column=fFillGanymed
+date=NULL
+datetime=`date +%F-%H-%M-%S`
+year=`date +%Y`
+
+todofile=$listpath/ToDo-$table-$column.txt
+getstatuslogpath=$logpath/getstatus/fillganymws/$year
+getstatuslog=$getstatuslogpath/getstatus-fillganymed-$datetime.log
+
+scriptlogpath=$logpath/run/fillganymde/`date +%Y/%m/%d`
+makedir $scriptlogpath
+scriptlog=$scriptlogpath/runfillganymed-$datetime.log
+
+date >> $scriptlog 2>&1
+
+makedir $getstatuslogpath >> $scriptlog 2>&1
+
+cd $mars
+
+date > $lockpath/lock-$table-$column.txt >> $scriptlog 2>&1
+checklock0=$?
+case $checklock0 in 
+    0)   echo "checklock0=$checklock0 -> continue " >> $scriptlog 2>&1;;
+    1)   echo "checklock0=$checklock0 -> file exists " >> $scriptlog 2>&1
+         echo "-> fillganymed is running -> exit" >> $scriptlog 2>&1
+         date  >> $scriptlog 2>&1
+         exit;;
+    *)   echo "checklock0=$checklock0 -> something went completely wrong" >> $scriptlog 2>&1;;
+esac
+
+echo "getting list..." >> $scriptlog 2>&1
+check0=`root -q -b $macrospath/getdolist.C+\("\"$table\""\,"\"$column\""\,"\"$date\""\,"\"$listpath\""\) | tee $getstatuslog | grep int | sed -e 's/(int)//'`
+
+case $check0 in 
+    1)   echo "check0=$check0 -> everything ok -> run fillganymed" >> $scriptlog 2>&1;;
+    *)   echo "check0=$check0 -> ERROR -> step has to be repeated" >> $scriptlog 2>&1;;
+esac
+
+datasets=(`cat $todofile`)
+
+if [ "$datasets" = "" ]
+then 
+   echo "nothing to do -> exit"  >> $scriptlog 2>&1
+   rm -v $todofile >> $scriptlog 2>&1
+   rm -v $lockpath/lock-$table-$column.txt >> $scriptlog 2>&1
+   date  >> $scriptlog 2>&1
+   exit
+fi
+
+echo "datasets: "${datasets[@]} >> $scriptlog 2>&1
+
+for dataset in ${datasets[@]}
+do 
+   no=`printf %08d $dataset | cut -c 0-4`
+   no2=`printf %08d $dataset`
+   path="$datapath/ganymed/$no/$no2"
+   ganymedfile=$path/ganymed$no2.root
+   fillganymedlogpath=$logpath/fillganymed/$no
+   echo "fillganymedlogpath: "$fillganymedlogpath >> $scriptlog 2>&1
+   makedir $fillganymedlogpath >> $scriptlog 2>&1
+   fillganymedlog=$fillganymedlogpath/fillganymed-$dataset.log
+
+   echo "run fillganymed for dataset $dataset" >> $scriptlog 2>&1
+   check2=`root -q -b $macrospath/fillganymed.C+\("\"$ganymedfile\""\,kFALSE\) | tee $fillganymedlog | grep int | sed -e 's/(int)//'`
+   case $check2 in
+      1)   echo "check2=$check2 -> everything ok " >> $scriptlog 2>&1
+           echo "-> inserting the status for fillganymed for dataset $dataset into the db" >> $scriptlog 2>&1
+           setstatuslogpath=$logpath/setstatus/fillganymed/$no
+           makedir $setstatuslogpath >> $scriptlog 2>&1
+           setstatuslog=$setstatuslogpath/setstatus-fillganymed-$no2.log
+
+           check4=`root -q -b $macrospath/setstatus.C+\("\"$dataset\""\,"\"$table\""\,"\"$column\""\,"\"Now()\""\) | tee $setstatuslog | grep int | sed -e 's/(int)//'`
+           case $check4 in
+   	     1)   echo "check4=$check4 -> everything ok, status has been set" >> $scriptlog 2>&1;;
+   	     *)   echo "check4=$check4 -> ERROR -> step could not be set" >> $scriptlog 2>&1;;
+           esac
+   	  ;;
+      *)   echo "check2=$check2 -> ERROR -> step has to be repeated" >> $scriptlog 2>&1;;
+   esac
+done
+
+rm -v $todofile >> $scriptlog 2>&1
+rm -v $lockpath/lock-$table-$column.txt >> $scriptlog 2>&1
+
+set +C
+
+date  >> $scriptlog 2>&1
+
